function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
import "antd/es/notification/style";
import _notification from "antd/es/notification";
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import axios from 'axios';
import Cookies from 'js-cookie';
var API_HOST = new Map([['dev', 'https://dev-gateway.fxqifu.net/pangu'], ['qa', 'https://qa-gateway.fxqifu.net/pangu'], ['prod', 'https://gateway.fxqifu.net/pangu']]);
var axiosConfig = {
  baseURL: 'https://gateway.fxqifu.net/pangu',
  timeout: 60000
};
var httpClient = axios.create(axiosConfig);
// 登陆页面接口列表，不需要带token
var loginMap = [''];
httpClient.interceptors.request.use(function (config) {
  var _config$data = config.data,
    data = _config$data === void 0 ? {} : _config$data,
    method = config.method;
  var env = data.env;
  if (method === 'get') {
    var _env = config.env;
    if (_env) {
      config.baseURL = API_HOST.get(_env);
    }
  } else {
    if (env) {
      config.baseURL = API_HOST.get(env);
    }
    delete data.env;
  }
  config.headers['Content-Type'] = 'application/json;charset=UTF-8';
  if (loginMap.find(function (item) {
    return config.url.endsWith(item);
  })) {
    delete config.headers['authority_token'];
  } else {
    var tokenFrom = config['tokenFrom'];
    var token = '';
    switch (tokenFrom) {
      case 'cookie':
        token = Cookies.get('token');
        break;
      case 'localstorage':
        token = localStorage.getItem('token');
        break;
      default:
        token = Cookies.get('token') || localStorage.getItem('token');
    }
    config.headers['authority_token'] = token;
  }
  return config;
}, function (err) {
  _notification.error({
    message: '发送请求失败',
    // @ts-ignore
    description: err
  });
  return false;
});
httpClient.interceptors.response.use(function (res) {
  var status = res.status,
    data = res.data,
    statusText = res.statusText;
  return new Promise(function (resolve, reject) {
    if (status < 200 || status > 300) {
      _notification.error({
        message: "\u8BF7\u6C42\u9519\u8BEF: ".concat(status),
        description: statusText
      });
    } else if (!data.success) {
      if (data.code === '915003') {
        return reject(data);
      }
      if (data.code === '100003') {
        return reject(data);
      }
      _notification.error({
        message: '提示',
        description: data.message
      });
      return reject(data);
    } else {
      return resolve(data || true);
    }
    return reject();
  });
}, function () {
  _notification.error({
    message: '提示',
    description: '系统错误'
  });
  return false;
});
function get(url, params, env) {
  return httpClient.get(url, _objectSpread(_objectSpread({}, params), {}, {
    env: env
  }));
}
function post(url, data, env) {
  return httpClient.post(url, _objectSpread(_objectSpread({}, data), {}, {
    env: env
  }));
}
export { post, get };
export default httpClient;