import React, { FC } from 'react';
import './index.less';
import { Env } from '../../tree-selection';
export interface EmployeeOrdepartment {
    id?: string;
    name?: string;
    isEmployee?: boolean;
}
export interface SearchList {
    employeeList?: EmployeeOrdepartment[];
    departmentList?: EmployeeOrdepartment[];
}
export interface TreeData {
    title?: React.ReactNode;
    name?: string;
    key: string;
    isLeaf?: boolean;
    isEmployee?: boolean;
    icon?: React.ReactNode;
    children?: TreeData[];
    id?: string;
}
export interface SelectTreeProps {
    data?: TreeData[];
    hasSelectedKeys?: TreeData[];
    isShowDepart?: boolean;
    title?: string;
    rootId?: React.Key;
    url?: string;
    showClearButton?: boolean;
    listType?: ListType;
    searchPlaceholder?: string;
    checkable?: boolean;
    getSearchResultByname: (name: string, data?: any) => Promise<any>;
    onSelectResult?: (nodes: any) => void;
    env?: Env;
}
export type ListType = 'employee' | 'deparement' | '';
declare const SelectTree: FC<SelectTreeProps>;
export default SelectTree;
